CC=gcc

SRC=src/main.c \
    src/world.c \
    src/player.c \
    src/physics.c \
    src/render.c

OUT=wrldbox

INCLUDES=-Iinclude
LIBPATH=-Llib

CFLAGS=-O2 -Wall

LIBS=-lraylib -lX11 -ldl -lpthread -lm

all:
	$(CC) $(SRC) $(CFLAGS) $(INCLUDES) $(LIBPATH) -o $(OUT) $(LIBS)

clean:
	rm -f $(OUT)
